---
title: "Retrieve user settings history"
slug: "retrieve-user-settings-history-v2usersidsettings-history"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve user settings history (/v2/users/{id}/settings-history)

Get/v2/users/{id}/settings-history

Retrieve a specific user's settings history.

Required authorizaton scope: 'api:users:read'.

Path parametersidstringRequired

Gong's unique numeric identifier for the user (up to 20 digits).

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='2da6b973-39cc-41a6-b112-50822c584060'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
userSettingsHistory Array of object (UserSettingsHistory)   

User's settings history.

object  

User's settings history.

settingstring    

The user capability that was changed

Valid values[
  "webConferencesRecorded",
  "preventWebConferenceRecording",
  "emailsImported",
  "preventEmailImport",
  "active",
  "nonRecordedMeetingsImported",
  "gongConnectEnabled",
  "callsImported",
  "interviewsRecorded",
  "preventInterviewRecording"
]
valueboolean    

The new value that was set

Exampletrue
timestring    

The date and time the action was set, in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

Example2018-02-19T02:30:00-08:00

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='5704834a-9255-4b23-b6fa-2fbc95b95d1c'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='a5e0e46a-37eb-441c-aa7b-a95109dd8073'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

404

User not found

<select class='api-response-data' aria-label='Media type'><option value='2e1c69bb-221c-4bea-8053-0ad9cbf3aaa8'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='b5457218-bdd9-46d2-83a7-633b765c0a54'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='dfdb5634-681a-486b-a134-64e9d2ec18f6'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
